#include	<sys/param.h>
#ifndef ITIMER_REAL
#include	<sys/time.h>		
#endif
#include	"config.h"

struct iPrm {
	int key;
	int uid;
	int nSvcs;
	short rPort;
	char *rName;
	char *cwd;
	char *cmdLine;
	bool_t sendIn;
};
typedef struct iPrm iPrm;
bool_t xdr_iPrm();


struct sfPrm {
	int key;
	int fNr;
};
typedef struct sfPrm sfPrm;
bool_t xdr_sfPrm();


struct tbPrm {
	int key;
	int bNr;
	int bSz;
	int lNr;
	int nBlocks;
};
typedef struct tbPrm tbPrm;
bool_t xdr_tbPrm();


struct xdrPix {
	double r;
	double g;
	double b;
	double alpha;
};
typedef struct xdrPix xdrPix;
bool_t xdr_xdrPix();


typedef struct {
	u_int pixArr_len;
	xdrPix *pixArr_val;
} pixArr;
bool_t xdr_pixArr();


#define INETRAY ((u_long)555555555)
#define IRV1 ((u_long)1)
#define INIT ((u_long)1)
#define STARTFRAME ((u_long)2)
#define TRACEBLOCK ((u_long)3)
#define KILL ((u_long)4)
#define WAIT ((u_long)5)
#define TERMINATE ((u_long)6)

extern void *init_1();
extern int *startframe_1();
extern void *traceblock_1();
extern int *kill_1();
extern int *wait_1();
extern void *terminate_1();

